STG-SYNC(1)

NAME
stg-sync - Synchronize patches with a branch or a series

SYNOPSIS

stg sync <--ref-branch=BRANCH|--series=SERIES> [<patch>...|--all]

DESCRIPTION

For each of the specified patches, perform a three-way merge with the same patch in the specified branch or series. The command can be used for keeping patches on several branches in sync. Note that the operation may fail for some patches because of conflicts. The patches in the series must apply cleanly.

OPTIONS

-a, --all
    Synchronize all applied patches

-B <branch>, --ref-branch=<branch>
    Synchronize patches with <branch>

-S <series>, --series=<series>
    Synchronize patches with <series>

--committer-date-is-author-date
    Instead of using the current time as the committer date, use the author date of the commit as the committer date.

STGIT

Part of the StGit suite - see stg(1)